Subject: [Teas] Agenda slot requests for IETF 108

From: Vishnu Pavan Beeram <[email-masked]>
Date: Mon, 6 Jul 2020 16:09:43 -0500

The final agenda for IETF 108 is out (available at
https://datatracker.ietf.org/meeting/108/agenda.html) and we are scheduled
to meet on Monday, July 27th (14:10-15:50 UTC). We requested for a short 50
min slot, but we have been offered double that duration.

Please send your slot requests to our Secretary (Matt on cc) and the Chairs
by the end of the day on Monday, July 13th. Please specify which draft(s)
you plan to present, who will be presenting, and how long you need.

Regards,
-Pavan, Lou and Matt

Relevant Dates:
2020-07-13 (Monday): Internet Draft submission cut-off (for all drafts,
including -00) by UTC 23:59.
2020-07-15 (Wednesday): Draft Working Group agendas due by UTC 23:59.
2020-07-20 (Monday): Revised Working Group agendas due by UTC 23:59